Rename or replace an uploaded keytab
PUT
/directory-services/kerberos/keytabs/{id}
const url = 'https://sylve.lan:8181/api/directory-services/kerberos/keytabs/1';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"file":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://sylve.lan:8181/api/directory-services/kerberos/keytabs/1 \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "file": "example", "name": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Keytab ID
Request Body
Section titled “Request Body”Name and optional base64 replacement file
Media typeapplication/json
object
file
string
name
string
Examplegenerated
{ "file": "example", "name": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
object
id
integer
managed
boolean
name
string
principals
Array<string>
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "id": 1, "managed": true, "name": "example", "principals": [ "example" ], "updatedAt": "example" }, "error": "example", "message": "example", "status": "example"}